Bug 812724 - [RFE] Write a separate section 4 man page documenting table formats for each existing DM target
[RFE] Write a separate section 4 man page documenting table formats for each ...
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: lvm2 (Show other bugs)
rawhide
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Peter Rajnoha
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-16 01:46 EDT by Xiaowei Li
Modified: 2016-06-16 19:56 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 14:02:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Xiaowei Li 2012-04-16 01:46:59 EDT
Description of problem:
have no introduction to thin and thin-pool table format in dmsetup manpage.

dm-thin is the new feature of F17. thin and thin-pool are the new supported dmsetup table format. So should the introduction to them.


Version-Release number of selected component (if applicable):
device-mapper-1.02.69-1.fc17.x86_64


How reproducible:
always


Steps to Reproduce:
1.man dmsetup

  
Actual results:
have no introduction to thin and thin-pool table format


Expected results:
should include the thin and thin-pool table format introduction.

The introduction is similar to

table format
>>>>snip>>
thin-pool 
       supports thin-pool device
thin 
       supports thin device
>>>snip>>

also it's better to provide a example for the thin & thin-pool table format in example section. 



Additional info:
Comment 1 Alasdair Kergon 2012-04-16 15:22:39 EDT
Not mentioning formats in the man page is deliberate.
We will not provide thin/thin-pool examples because we don't expect average users to need this and it's really got nothing to do with dmsetup anyway.  (Should be man -s4).

Comprehensive format information is supposed to be provided in /usr/share instead (take from doc/kernel in the source tree) and there should be a link to this in the dmsetup man page.
Comment 2 Alasdair Kergon 2012-04-16 15:32:49 EDT
(IOW Eventually we might write man pages documenting the dm ioctls in full, but that will involve a lot of work.  In the mean time, lots of target-specific information is already present in documentation files in the source tree and we intended for those to be shipped with the package and discussed patching the spec file to do this, but didn't get around to doing this yet.)
Comment 3 Fedora End Of Life 2013-07-04 02:27:42 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2013-08-01 14:02:10 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Peter Rajnoha 2013-08-05 04:08:33 EDT
Reopening and changing the version to "rawhide". Let's have a look at this once there's more time for this...

Note You need to log in before you can comment on or make changes to this bug.